require(["gitbook", "jQuery"], function(gitbook, $) {
    let configs = null
    gitbook.events.bind('start', function(e, configs){
        _configs = configs['custom-header'];
        _configs && initHeader(_configs);
    });

    // 初始化header
    function initHeader(_configs) {
        let template = '<div class="head"><div class="head_box">'
        if (_configs.logo) {//添加logo
            template += `
                <h1 class="logo">
                    <a href="javascript:;" title="${_configs['logo_alt']}">
                        <img src="${_configs.logo}"/>
                    </a>
                </h1>
            `;
        }
        let activeIndex = 0
        if (_configs.navigations && _configs.navigations.length > 0) {//添加导航
            template += '<div class="header_ctrls"><ul class="top_nav">'
            let isSelected = ''
            const curPath = window.location.href
            const _len = _configs.navigations.length
            for (let i = 0; i < _len; i++) {
                let _item = _configs.navigations[i]
                isSelected = _item.link === curPath ? 'selected' : ''
                template += `
                    <li class="top_nav_item ${isSelected}" id="${_item.id}">
                        <a href="${_item.link}">${_item.title}</a>
                    </li>
                `
            }
            template += '</ul></div>'
        }
        template += '</div></div>'
        $('.book').addClass('with-header').prepend(template)
    }

});